curl --request POST \ --url https://api.siliconflow.com/v1/chat/completions \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "model": "Qwen/Qwen3-32B", "messages": [ { "role": "user", "content": "What opportunities and challenges will the Chinese large model industry face in 2025?" } ]}'
import requests
url = "https://api.siliconflow.com/v1/chat/completions"
payload = {
"model": "Qwen/Qwen3-32B",
"messages": [
{
"role": "user",
"content": "What opportunities and challenges will the Chinese large model industry face in 2025?"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: 'Qwen/Qwen3-32B',
messages: [
{
role: 'user',
content: 'What opportunities and challenges will the Chinese large model industry face in 2025?'
}
]
})
};
fetch('https://api.siliconflow.com/v1/chat/completions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Request was rejected due to rate limiting. If you want more, please contact contact@siliconflow.com. Details:TPM limit reached.",
"data": "<string>"
}
{
"code": 50505,
"message": "Model service overloaded. Please try again later.",
"data": "<string>"
}
"<string>"
Chat
Chat completions
Creates a model response for the given chat conversation.
POST
/
chat
/
completions
Chat Completions
curl --request POST \ --url https://api.siliconflow.com/v1/chat/completions \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "model": "Qwen/Qwen3-32B", "messages": [ { "role": "user", "content": "What opportunities and challenges will the Chinese large model industry face in 2025?" } ]}'
import requests
url = "https://api.siliconflow.com/v1/chat/completions"
payload = {
"model": "Qwen/Qwen3-32B",
"messages": [
{
"role": "user",
"content": "What opportunities and challenges will the Chinese large model industry face in 2025?"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: 'Qwen/Qwen3-32B',
messages: [
{
role: 'user',
content: 'What opportunities and challenges will the Chinese large model industry face in 2025?'
}
]
})
};
fetch('https://api.siliconflow.com/v1/chat/completions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Request was rejected due to rate limiting. If you want more, please contact contact@siliconflow.com. Details:TPM limit reached.",
"data": "<string>"
}
{
"code": 50505,
"message": "Model service overloaded. Please try again later.",
"data": "<string>"
}
Corresponding Model Name. To better enhance service quality, we will make periodic changes to the models provided by this service, including but not limited to model on/offlining and adjustments to model service capabilities. We will notify you of such changes through appropriate means such as announcements or message pushes where feasible.
The maximum number of tokens to generate. Ensure that input tokens + max_tokens do not exceed the model’s context window. As some services are still being updated, avoid setting max_tokens to the window’s upper bound; reserve ~10k tokens as buffer for input and system overhead. See Models(https://cloud.siliconflow.cn/models) for details.
A list of tools the model may call. Currently, only functions are supported as a tool. Use this to provide a list of functions the model may generate JSON inputs for. A max of 128 functions are supported.
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"SiliconFlow","description":"Complete API documentation for SiliconFlow AI models. Quick start guides, SDKs, code examples, and developer resources for seamless integration.","colors":{"primary":"#6E29F6","light":"#A070FF","dark":"#6E29F6"},"logo":{"light":"https://mintcdn.com/siliconflowcom/6M3wUsNWJWlb0b6O/logo/siliconflow.png?fit=max\u0026auto=format\u0026n=6M3wUsNWJWlb0b6O\u0026q=85\u0026s=d452a60af724c3dac4e198ce51c2fb39","dark":"https://mintcdn.com/siliconflowcom/6M3wUsNWJWlb0b6O/logo/siliconflow_dark.png?fit=max\u0026auto=format\u0026n=6M3wUsNWJWlb0b6O\u0026q=85\u0026s=5666f6fc58a575a49981bc4978479f79","href":"https://www.siliconflow.com/"},"favicon":{"light":"https://mintcdn.com/siliconflowcom/PEoqLFhbLc3qdq9M/favicon.png?fit=max\u0026auto=format\u0026n=PEoqLFhbLc3qdq9M\u0026q=85\u0026s=363f10cd155e426c072eb6d48afc6fc2","dark":"https://mintcdn.com/siliconflowcom/PEoqLFhbLc3qdq9M/favicon_dark.png?fit=max\u0026auto=format\u0026n=PEoqLFhbLc3qdq9M\u0026q=85\u0026s=a622119b4af2c89790ecdc869eb26717"},"api":{"openapi":["cn/api-reference/openapi.yaml"],"playground":{"display":"interactive","proxy":false},"examples":{"defaults":"required","languages":["bash","python","javascript"]}},"appearance":{"default":"dark"},"background":{"decoration":"grid"},"navbar":{"primary":{"type":"button","label":"Get Started","href":"https://cloud.siliconflow.com"}},"footer":{"socials":{"x":"https://x.com/SiliconFlowAI","linkedin":"https://www.linkedin.com/company/siliconflow","discord":"https://discord.com/invite/7Ey3dVNFpT"},"links":[{"header":"Models","items":[{"label":"Images","href":"https://www.siliconflow.com/models"},{"label":"Video","href":"https://www.siliconflow.com/models"},{"label":"LLM","href":"https://www.siliconflow.com/models"},{"label":"Audio","href":"https://www.siliconflow.com/models"}]},{"header":"Products","items":[{"label":"Inference","href":"https://www.siliconflow.com/products"},{"label":"Fine-tuning","href":"https://www.siliconflow.com/products"},{"label":"Reserved GPUs","href":"https://www.siliconflow.com/products"}]},{"header":"Pages","items":[{"label":"Blogs","href":"https://www.siliconflow.com/blog"},{"label":"About","href":"https://www.siliconflow.com/about"},{"label":"Contact","href":"https://www.siliconflow.com/contact"}]}]},"seo":{"metatags":{"keywords":"AI API documentation, LLM API guide, developer documentation, API integration guide, model API reference, AI development resources","color-scheme":"light dark"}},"integrations":{"ga4":{"measurementId":"G-5TNB9RS272"}},"contextual":{"options":["copy","view","chatgpt","claude"],"display":"header"},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"siliconflowcom","hasAudioNarration":false,"actualSubdomain":"siliconflowcom","customDomains":["docs.siliconflow.com"],"gitSource":{"type":"github","owner":"siliconflow-inc","repo":"global-docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6acca59d24b3845a5f9dfffe","collectionId":"78d2e19e-0226-42f4-98bf-c20472eadf8c","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6acca59d24b3845a5f9dfffe"},"entitlements":{},"buildId":"6acca59d24b3845a5f9dfffe","clientVersion":"0.0.3965","searchFilterCounts":[{"language":"default","tag":"Scenario Example","count":44},{"language":"default","tag":"场景示例","count":18},{"language":"default","tag":"API Reference","count":15},{"language":"default","tag":"API 手册","count":14},{"language":"default","tag":"用户指南","count":14},{"language":"default","tag":"User Guides","count":14},{"language":"default","tag":"常见问题","count":6},{"language":"default","tag":"平台能力","count":6},{"language":"default","tag":"Assistants","count":6},{"language":"default","tag":"Capabilities","count":6}]},"assistantConfig":{},"hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-v7-file-tree","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"pause-universal-search-reconcile","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"per-site-search-delta","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-private-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-nav-generations","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"byok-sep-25","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"vite-origin","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-agent-model-picker","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-updated-9-15","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"isAtlas":false,"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"en/api-reference/chat-completions/chat-completions","slug":"/en/api-reference/chat-completions/chat-completions","pageMetadata":{"title":"Chat completions","openapi":"post /chat/completions","description":"Creates a model response for the given chat conversation.","href":"/en/api-reference/chat-completions/chat-completions"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Creates a model response for the given chat conversation.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Chat completions","openapi":"post /chat/completions","description":"Creates a model response for the given chat conversation.","href":"/en/api-reference/chat-completions/chat-completions"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"summary":"Chat Completions","operationId":"chat-completions","description":"Creates a model response for the given chat conversation.","tags":["Chat Completions"],"requestBody":"6b813c75-31aa-4775-a207-45b6384be68b","responses":{"200":"05cade9a-67ae-4b0c-b21a-b9c53ce631ac","400":"0a2ce478-f07a-4c91-bc80-0a7580d75c2c","401":"8a1cdb40-226f-43f4-ba13-73b1f95ee061","404":"730e57ec-3ef4-47f7-b416-9d0626fbc928","429":"f4038552-2a5b-4382-a917-4e5e6800dc80","503":"05d49e21-306c-4737-a744-da75077ce874","504":"ec5b17f0-bc6f-4b31-8b95-6b4eaf2e9451"},"deprecated":false,"method":"post","type":"path","servers":["37d826e0-7779-430a-b4b6-49cef5d5c3b9"],"security":["aadb8765-c07c-47b3-8681-a15196653ef8"],"path":"/chat/completions","baseUrlOptions":["https://api.siliconflow.com/v1"],"title":"Chat Completions","codeSamples":[],"requestExampleLanguages":["bash","python","javascript"],"requiredOnlyExamples":true,"requestExampleType":"generated","responseExampleType":"generated","disableProxy":true},"dependencies":{"parameters":{},"requestBody":{"content":{"application/json":{"schema":{"oneOf":[{"type":"object","title":"LLM","required":["model","messages"],"properties":{"model":{"type":"string","description":"Corresponding Model Name. To better enhance service quality, we will make periodic changes to the models provided by this service, including but not limited to model on/offlining and adjustments to model service capabilities. We will notify you of such changes through appropriate means such as announcements or message pushes where feasible.","example":"Qwen/Qwen3-32B","enum":["deepseek-ai/DeepSeek-R1","deepseek-ai/DeepSeek-V3","deepseek-ai/DeepSeek-V3.1","deepseek-ai/DeepSeek-V3.1-Terminus","deepseek-ai/DeepSeek-V3.2-Exp","deepseek-ai/DeepSeek-V3.2","deepseek-ai/deepseek-vl2","deepseek-ai/DeepSeek-V4-Flash","deepseek-ai/DeepSeek-V4-Pro","nex-agi/DeepSeek-V3.1-Nex-N1","baidu/ERNIE-4.5-300B-A47B","THUDM/GLM-4-32B-0414","THUDM/GLM-4-9B-0414","zai-org/GLM-4.5","zai-org/GLM-4.5-Air","zai-org/GLM-4.5V","zai-org/GLM-5","zai-org/GLM-5.1","zai-org/GLM-4.7","zai-org/GLM-4.6","zai-org/GLM-4.6V","zai-org/GLM-5V-Turbo","THUDM/GLM-Z1-32B-0414","THUDM/GLM-Z1-9B-0414","tencent/Hunyuan-A13B-Instruct","tencent/Hunyuan-MT-7B","tencent/Hy3-preview","moonshotai/Kimi-K2.5","moonshotai/Kimi-K2.6","moonshotai/Kimi-K2-Instruct","moonshotai/Kimi-K2-Instruct-0905","moonshotai/Kimi-K2-Thinking","inclusionAI/Ling-flash-2.0","inclusionAI/Ling-mini-2.0","inclusionAI/Ring-flash-2.0","meta-llama/Meta-Llama-3.1-8B-Instruct","MiniMaxAI/MiniMax-M2.5","MiniMaxAI/MiniMax-M2.1","Qwen/Qwen2.5-14B-Instruct","Qwen/Qwen2.5-32B-Instruct","Qwen/Qwen2.5-72B-Instruct","Qwen/Qwen2.5-72B-Instruct-128K","Qwen/Qwen2.5-7B-Instruct","Qwen/Qwen2.5-VL-7B-Instruct","Qwen/Qwen3-14B","Qwen/Qwen3-235B-A22B","Qwen/Qwen3-235B-A22B-Instruct-2507","Qwen/Qwen3-235B-A22B-Thinking-2507","Qwen/Qwen3-30B-A3B-Instruct-2507","Qwen/Qwen3-30B-A3B-Thinking-2507","Qwen/Qwen3-32B","Qwen/Qwen3-8B","Qwen/Qwen3-Coder-30B-A3B-Instruct","Qwen/Qwen3-Coder-480B-A35B-Instruct","Qwen/Qwen3-Next-80B-A3B-Instruct","Qwen/Qwen3-Next-80B-A3B-Thinking","Qwen/Qwen3-Omni-30B-A3B-Captioner","Qwen/Qwen3-Omni-30B-A3B-Instruct","Qwen/Qwen3-Omni-30B-A3B-Thinking","Qwen/Qwen3.5-122B-A10B","Qwen/Qwen3.5-27B","Qwen/Qwen3.5-35B-A3B","Qwen/Qwen3.5-397B-A17B","Qwen/Qwen3.5-9B","Qwen/Qwen3.6-27B","Qwen/Qwen3.6-35B-A3B","ByteDance-Seed/Seed-OSS-36B-Instruct","google/gemma-4-26B-A4B-it","google/gemma-4-31B-it","openai/gpt-oss-120b","openai/gpt-oss-20b"],"isRequired":true,"uniqueKey":"oneOf.0.model","typeLabel":"enum\u003cstring>"},"messages":{"type":"array","description":"A list of messages comprising the conversation so far.","items":{"type":"object","properties":{"role":{"type":"string","description":"The role of the messages author. Choice between: system, user, or assistant.","example":"user","default":"user","enum":["user","assistant","system"],"isRequired":true,"uniqueKey":"oneOf.0.messages.items.[INDEX].role","typeLabel":"enum\u003cstring>"},"content":{"type":"string","description":"The contents of the message.","default":"What opportunities and challenges will the Chinese large model industry face in 2025?","example":"What opportunities and challenges will the Chinese large model industry face in 2025?","isRequired":true,"uniqueKey":"oneOf.0.messages.items.[INDEX].content","typeLabel":"string"}},"required":["role","content"],"uniqueKey":"oneOf.0.messages.items.[INDEX]","typeLabel":"object"},"minItems":1,"maxItems":10,"isRequired":true,"uniqueKey":"oneOf.0.messages","typeLabel":"object[]"},"stream":{"type":"boolean","description":"If set, tokens are returned as Server-Sent Events as they are made available. Stream terminates with `data: [DONE]`","example":false,"uniqueKey":"oneOf.0.stream","typeLabel":"boolean"},"max_tokens":{"type":"integer","description":"The maximum number of tokens to generate. Ensure that input tokens + max_tokens do not exceed the model’s context window. As some services are still being updated, avoid setting max_tokens to the window’s upper bound; reserve ~10k tokens as buffer for input and system overhead. See Models(https://cloud.siliconflow.cn/models) for details. \n","example":4096,"uniqueKey":"oneOf.0.max_tokens","typeLabel":"integer"},"enable_thinking":{"type":"boolean","description":"Switches between thinking and non-thinking modes. Default is True. This field supports the following models: \n\n - Qwen/Qwen3-8B\n - Qwen/Qwen3-14B\n - Qwen/Qwen3-32B\n - wen/Qwen3-30B-A3B\n - Qwen/Qwen3-235B-A22B\n - tencent/Hunyuan-A13B-Instruct\n - zai-org/GLM-5V-Turbo\n - zai-org/GLM-4.6V\n - zai-org/GLM-4.5V\n - deepseek-ai/DeepSeek-V3.1\n - deepseek-ai/DeepSeek-V3.1-Terminus\n - deepseek-ai/DeepSeek-V3.2-Exp\n - deepseek-ai/DeepSeek-V3.2\n\nIf you want to use the function call feature for deepseek-ai/DeepSeek-V3.1, you need to set enable_thinking to false. \n","example":false,"uniqueKey":"oneOf.0.enable_thinking","typeLabel":"boolean"},"thinking_budget":{"type":"integer","description":"Maximum number of tokens for chain-of-thought output. This field applies to all Reasoning models.","example":4096,"default":4096,"minimum":128,"maximum":32768,"uniqueKey":"oneOf.0.thinking_budget","typeLabel":"integer"},"min_p":{"type":"number","description":"Dynamic filtering threshold that adapts based on token probabilities.This field only applies to Qwen3.","format":"float","example":0.05,"minimum":0,"maximum":1,"uniqueKey":"oneOf.0.min_p","typeLabel":"number\u003cfloat>"},"stop":{"oneOf":[{"type":"string","description":"Up to 4 sequences where the API will stop generating further tokens. The returned text will not contain the stop sequence.\n","example":null,"uniqueKey":"oneOf.0.stop.oneOf.0","typeLabel":"string"},{"type":"null","description":"Up to 4 sequences where the API will stop generating further tokens. The returned text will not contain the stop sequence.\n","example":null,"uniqueKey":"oneOf.0.stop.oneOf.1","typeLabel":"null"},{"type":"array","items":{"type":"string","example":"null","uniqueKey":"oneOf.0.stop.oneOf.2.items.[INDEX]","typeLabel":"string"},"description":"Up to 4 sequences where the API will stop generating further tokens. The returned text will not contain the stop sequence.\n","maxItems":4,"minItems":1,"uniqueKey":"oneOf.0.stop.oneOf.2","typeLabel":"string[]"},{"type":"null","uniqueKey":"oneOf.0.stop.oneOf.3","typeLabel":"null"}],"uniqueKey":"oneOf.0.stop","typeLabel":"string · null · string[] · null"},"temperature":{"type":"number","description":"Determines the degree of randomness in the response.","format":"float","example":0.7,"uniqueKey":"oneOf.0.temperature","typeLabel":"number\u003cfloat>"},"top_p":{"type":"number","description":"The `top_p` (nucleus) parameter is used to dynamically adjust the number of choices for each predicted token based on the cumulative probabilities.","format":"float","example":0.7,"default":0.7,"uniqueKey":"oneOf.0.top_p","typeLabel":"number\u003cfloat>"},"top_k":{"type":"number","format":"float","example":50,"uniqueKey":"oneOf.0.top_k","typeLabel":"number\u003cfloat>"},"frequency_penalty":{"type":"number","format":"float","example":0.5,"uniqueKey":"oneOf.0.frequency_penalty","typeLabel":"number\u003cfloat>"},"n":{"type":"integer","description":"Number of generations to return","example":1,"uniqueKey":"oneOf.0.n","typeLabel":"integer"},"response_format":{"type":"object","description":"An object specifying the format that the model must output.","properties":{"type":{"type":"string","description":"The type of the response format.","example":"text","uniqueKey":"oneOf.0.response_format.type","typeLabel":"string"}},"uniqueKey":"oneOf.0.response_format","typeLabel":"object"},"tools":{"type":"array","description":"A list of tools the model may call. Currently, only functions are supported as a tool. Use this to provide a list of functions the model may generate JSON inputs for. A max of 128 functions are supported.\n","items":{"type":"object","properties":{"type":{"type":"string","enum":["function"],"description":"The type of the tool. Currently, only `function` is supported.","isRequired":true,"uniqueKey":"oneOf.0.tools.items.[INDEX].type","typeLabel":"enum\u003cstring>"},"function":{"type":"object","properties":{"name":{"type":"string","description":"The name of the function to be called. Must be a-z, A-Z, 0-9, or contain underscores and dashes, with a maximum length of 64.","isRequired":true,"uniqueKey":"oneOf.0.tools.items.[INDEX].function.name","typeLabel":"string"},"description":{"type":"string","description":"A description of what the function does, used by the model to choose when and how to call the function.","uniqueKey":"oneOf.0.tools.items.[INDEX].function.description","typeLabel":"string"},"parameters":{"type":"object","description":"The parameters the functions accepts, described as a JSON Schema object. See the [guide](/guides/function_calling) for examples, and the [JSON Schema reference](https://json-schema.org/understanding-json-schema/) for documentation about the format. \n\nOmitting `parameters` defines a function with an empty parameter list.","additionalProperties":true,"uniqueKey":"oneOf.0.tools.items.[INDEX].function.parameters","typeLabel":"object"},"strict":{"oneOf":[{"type":"boolean","default":false,"description":"Whether to enable strict schema adherence when generating the function call. If set to true, the model will follow the exact schema defined in the `parameters` field. Only a subset of JSON Schema is supported when `strict` is `true`. Learn more about Structured Outputs in the [function calling guide](docs/guides/function-calling).","uniqueKey":"oneOf.0.tools.items.[INDEX].function.strict.oneOf.0","typeLabel":"boolean"},{"type":"null","default":false,"description":"Whether to enable strict schema adherence when generating the function call. If set to true, the model will follow the exact schema defined in the `parameters` field. Only a subset of JSON Schema is supported when `strict` is `true`. Learn more about Structured Outputs in the [function calling guide](docs/guides/function-calling).","uniqueKey":"oneOf.0.tools.items.[INDEX].function.strict.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.tools.items.[INDEX].function.strict","typeLabel":"boolean | null"}},"required":["name"],"isRequired":true,"uniqueKey":"oneOf.0.tools.items.[INDEX].function","typeLabel":"object"}},"required":["type","function"],"uniqueKey":"oneOf.0.tools.items.[INDEX]","typeLabel":"object"},"uniqueKey":"oneOf.0.tools","typeLabel":"object[]"}},"uniqueKey":"oneOf.0","typeLabel":"LLM · object"},{"type":"object","title":"VLM","required":["model","messages"],"properties":{"model":{"type":"string","description":"Corresponding Model Name. To better enhance service quality, we will make periodic changes to the models provided by this service, including but not limited to model on/offlining and adjustments to model service capabilities. We will notify you of such changes through appropriate means such as announcements or message pushes where feasible.","example":"Qwen/Qwen3-VL-32B-Instruct","default":"Qwen/Qwen3-VL-32B-Instruct","enum":["Qwen/Qwen3-VL-32B-Instruct","Qwen/Qwen3-VL-32B-Thinking","Qwen/Qwen3-VL-8B-Instruct","Qwen/Qwen3-VL-8B-Thinking","Qwen/Qwen3-VL-235B-A22B-Instruct","Qwen/Qwen3-VL-235B-A22B-Thinking","Qwen/Qwen3-VL-30B-A3B-Thinking","Qwen/Qwen3-VL-30B-A3B-Instruct","deepseek-ai/deepseek-vl2","zai-org/GLM-5V-Turbo","zai-org/GLM-4.6V","zai-org/GLM-4.5V","Qwen/Qwen2.5-VL-7B-Instruct","Qwen/Qwen3-Omni-30B-A3B-Captioner","Qwen/Qwen3-Omni-30B-A3B-Instruct","Qwen/Qwen3-Omni-30B-A3B-Thinking"],"isRequired":true,"uniqueKey":"oneOf.1.model","typeLabel":"enum\u003cstring>"},"messages":{"type":"array","description":"A list of messages comprising the conversation so far.","items":{"type":"object","properties":{"role":{"type":"string","description":"The role of the messages author. Choice between: system, user, or assistant.","example":"user","default":"user","enum":["user","assistant","system"],"isRequired":true,"uniqueKey":"oneOf.1.messages.items.[INDEX].role","typeLabel":"enum\u003cstring>"},"content":{"type":"array","items":{"oneOf":[{"type":"object","title":"Image content part","required":["type","image_url"],"x-oaiExpandable":true,"properties":{"type":{"type":"string","enum":["image_url"],"description":"The type of the content part.","default":"image_url","isRequired":true,"uniqueKey":"oneOf.1.messages.items.[INDEX].content.items.[INDEX].oneOf.0.type","typeLabel":"enum\u003cstring>"},"image_url":{"type":"object","properties":{"url":{"type":"string","description":"Either a URL of the image or the base64 encoded image data. TeleAI/TeleMM only support the base64 encoded image data.","default":"https://sf-maas.s3.us-east-1.amazonaws.com/images/recu6XreBFQ0st.png","example":"https://sf-maas.s3.us-east-1.amazonaws.com/images/recu6XreBFQ0st.png","isRequired":true,"uniqueKey":"oneOf.1.messages.items.[INDEX].content.items.[INDEX].oneOf.0.image_url.url","typeLabel":"string"},"detail":{"type":"string","description":"Specifies the detail level of the image.","enum":["auto","low","high"],"default":"auto","uniqueKey":"oneOf.1.messages.items.[INDEX].content.items.[INDEX].oneOf.0.image_url.detail","typeLabel":"enum\u003cstring>"}},"required":["url"],"isRequired":true,"uniqueKey":"oneOf.1.messages.items.[INDEX].content.items.[INDEX].oneOf.0.image_url","typeLabel":"object"}},"uniqueKey":"oneOf.1.messages.items.[INDEX].content.items.[INDEX].oneOf.0","typeLabel":"Image content part · object"},{"type":"object","title":"Text content part","required":["type","text"],"x-oaiExpandable":true,"properties":{"type":{"type":"string","enum":["text"],"description":"The type of the content part.","default":"text","isRequired":true,"uniqueKey":"oneOf.1.messages.items.[INDEX].content.items.[INDEX].oneOf.1.type","typeLabel":"enum\u003cstring>"},"text":{"type":"string","description":"The text content.","default":"Describe this picture.","isRequired":true,"uniqueKey":"oneOf.1.messages.items.[INDEX].content.items.[INDEX].oneOf.1.text","typeLabel":"string"}},"uniqueKey":"oneOf.1.messages.items.[INDEX].content.items.[INDEX].oneOf.1","typeLabel":"Text content part · object"}],"uniqueKey":"oneOf.1.messages.items.[INDEX].content.items.[INDEX]","typeLabel":"Image content part · object | Text content part · object"},"description":"An array of content parts with a defined type, each can be of type `text` or `image_url` when passing in images. You can pass multiple images by adding multiple `image_url` content parts. The Qwen3-Omni series supports `video_url` and `audio_url`, enabling the recognition of video and audio content. The Qwen3-VL model also supports `video_url`, allowing it to recognize video content. Recommend videos and audio within 30 seconds.","minItems":1,"isRequired":true,"uniqueKey":"oneOf.1.messages.items.[INDEX].content","typeLabel":"(Image content part · object | Text content part · object)[]"}},"required":["role","content"],"uniqueKey":"oneOf.1.messages.items.[INDEX]","typeLabel":"object"},"minItems":1,"maxItems":10,"isRequired":true,"uniqueKey":"oneOf.1.messages","typeLabel":"object[]"},"stream":{"type":"boolean","description":"If set, tokens are returned as Server-Sent Events as they are made available. Stream terminates with `data: [DONE]`","example":false,"default":false,"uniqueKey":"oneOf.1.stream","typeLabel":"boolean"},"max_tokens":{"type":"integer","description":"The maximum number of tokens to generate. Ensure that input tokens + max_tokens do not exceed the model’s context window. As some services are still being updated, avoid setting max_tokens to the window’s upper bound; reserve ~10k tokens as buffer for input and system overhead. See Models(https://cloud.siliconflow.cn/models) for details. \n","uniqueKey":"oneOf.1.max_tokens","typeLabel":"integer"},"stop":{"oneOf":[{"type":"array","items":{"type":"string","example":"null","uniqueKey":"oneOf.1.stop.oneOf.0.items.[INDEX]","typeLabel":"string"},"description":"Up to 4 sequences where the API will stop generating further tokens. The returned text will not contain the stop sequence.\n","default":[],"maxItems":4,"minItems":1,"uniqueKey":"oneOf.1.stop.oneOf.0","typeLabel":"string[]"},{"type":"string","description":"Up to 4 sequences where the API will stop generating further tokens. The returned text will not contain the stop sequence.\n","default":[],"example":"\n","uniqueKey":"oneOf.1.stop.oneOf.1","typeLabel":"string"},{"type":"null","description":"Up to 4 sequences where the API will stop generating further tokens. The returned text will not contain the stop sequence.\n","default":[],"example":"\n","uniqueKey":"oneOf.1.stop.oneOf.2","typeLabel":"null"},{"type":"string","description":"Up to 4 sequences where the API will stop generating further tokens. The returned text will not contain the stop sequence.\n","default":[],"example":"","uniqueKey":"oneOf.1.stop.oneOf.3","typeLabel":"string"},{"type":"null","description":"Up to 4 sequences where the API will stop generating further tokens. The returned text will not contain the stop sequence.\n","default":[],"example":"","uniqueKey":"oneOf.1.stop.oneOf.4","typeLabel":"null"},{"type":"null","uniqueKey":"oneOf.1.stop.oneOf.5","typeLabel":"null"}],"uniqueKey":"oneOf.1.stop","typeLabel":"string[] · string · null · string · null · null"},"temperature":{"type":"number","description":"Determines the degree of randomness in the response.","format":"float","example":0.7,"default":0.7,"uniqueKey":"oneOf.1.temperature","typeLabel":"number\u003cfloat>"},"top_p":{"type":"number","description":"The `top_p` (nucleus) parameter is used to dynamically adjust the number of choices for each predicted token based on the cumulative probabilities.","format":"float","example":0.7,"default":0.7,"uniqueKey":"oneOf.1.top_p","typeLabel":"number\u003cfloat>"},"top_k":{"type":"number","format":"float","example":50,"default":50,"uniqueKey":"oneOf.1.top_k","typeLabel":"number\u003cfloat>"},"frequency_penalty":{"type":"number","format":"float","example":0.5,"default":0.5,"uniqueKey":"oneOf.1.frequency_penalty","typeLabel":"number\u003cfloat>"},"n":{"type":"integer","description":"Number of generations to return","example":1,"default":1,"uniqueKey":"oneOf.1.n","typeLabel":"integer"},"response_format":{"type":"object","description":"An object specifying the format that the model must output.","properties":{"type":{"type":"string","description":"The type of the response format.","example":"text","uniqueKey":"oneOf.1.response_format.type","typeLabel":"string"}},"uniqueKey":"oneOf.1.response_format","typeLabel":"object"}},"uniqueKey":"oneOf.1","typeLabel":"VLM · object"}],"uniqueKey":"","typeLabel":"LLM · object | VLM · object"},"examples":{"Example":{"title":"Example","value":{"model":"Qwen/Qwen3-32B","messages":[{"role":"user","content":"What opportunities and challenges will the Chinese large model industry face in 2025?"}],"stream":false,"max_tokens":4096,"enable_thinking":false,"thinking_budget":4096,"min_p":0.05,"stop":null,"temperature":0.7,"top_p":0.7,"top_k":50,"frequency_penalty":0.5,"n":1,"response_format":{"type":"text"},"tools":[{"type":"function","function":{"name":"\u003cstring>","description":"\u003cstring>","parameters":{},"strict":false}}]}}},"exampleType":"generated"}},"exampleType":"generated"},"responses":{"05cade9a-67ae-4b0c-b21a-b9c53ce631ac":{"description":"200","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"string","uniqueKey":"id","typeLabel":"string"},"choices":{"type":"array","items":{"type":"object","properties":{"message":{"type":"object","properties":{"role":{"type":"string","example":"assistant","uniqueKey":"choices.items.[INDEX].message.role","typeLabel":"string"},"content":{"type":"string","uniqueKey":"choices.items.[INDEX].message.content","typeLabel":"string"},"reasoning_content":{"description":"Only the DeepSeek-R1 series models support reasoning_content. This part returns the reasoning content, which is at the same level as the content. In each round of the conversation, the model outputs the reasoning chain content (reasoning_content) and the final answer (content). In the next round of the conversation, the reasoning chain content from previous rounds will not be appended to the context.","type":"string","uniqueKey":"choices.items.[INDEX].message.reasoning_content","typeLabel":"string"},"tool_calls":{"type":"array","description":"The tool calls generated by the model, such as function calls.","items":{"type":"object","properties":{"id":{"type":"string","description":"The ID of the tool call.","isRequired":true,"uniqueKey":"choices.items.[INDEX].message.tool_calls.items.[INDEX].id","typeLabel":"string"},"type":{"type":"string","enum":["function"],"description":"The type of the tool. Currently, only `function` is supported.","isRequired":true,"uniqueKey":"choices.items.[INDEX].message.tool_calls.items.[INDEX].type","typeLabel":"enum\u003cstring>"},"function":{"type":"object","description":"The function that the model called.","properties":{"name":{"type":"string","description":"The name of the function to call.","isRequired":true,"uniqueKey":"choices.items.[INDEX].message.tool_calls.items.[INDEX].function.name","typeLabel":"string"},"arguments":{"type":"string","description":"The arguments to call the function with, as generated by the model in JSON format. Note that the model does not always generate valid JSON, and may hallucinate parameters not defined by your function schema. Validate the arguments in your code before calling your function.","isRequired":true,"uniqueKey":"choices.items.[INDEX].message.tool_calls.items.[INDEX].function.arguments","typeLabel":"string"}},"required":["name","arguments"],"isRequired":true,"uniqueKey":"choices.items.[INDEX].message.tool_calls.items.[INDEX].function","typeLabel":"object"}},"required":["id","type","function"],"uniqueKey":"choices.items.[INDEX].message.tool_calls.items.[INDEX]","typeLabel":"object"},"uniqueKey":"choices.items.[INDEX].message.tool_calls","typeLabel":"object[]"}},"uniqueKey":"choices.items.[INDEX].message","typeLabel":"object"},"finish_reason":{"type":"string","enum":["stop","eos","length","tool_calls"],"uniqueKey":"choices.items.[INDEX].finish_reason","typeLabel":"enum\u003cstring>"}},"uniqueKey":"choices.items.[INDEX]","typeLabel":"object"},"uniqueKey":"choices","typeLabel":"object[]"},"usage":{"type":"object","properties":{"prompt_tokens":{"type":"integer","uniqueKey":"usage.prompt_tokens","typeLabel":"integer"},"completion_tokens":{"type":"integer","uniqueKey":"usage.completion_tokens","typeLabel":"integer"},"total_tokens":{"type":"integer","uniqueKey":"usage.total_tokens","typeLabel":"integer"}},"uniqueKey":"usage","typeLabel":"object"},"created":{"type":"integer","uniqueKey":"created","typeLabel":"integer"},"model":{"type":"string","uniqueKey":"model","typeLabel":"string"},"object":{"type":"string","enum":["chat.completion"],"uniqueKey":"object","typeLabel":"enum\u003cstring>"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"id":"\u003cstring>","choices":[{"message":{"role":"assistant","content":"\u003cstring>","reasoning_content":"\u003cstring>","tool_calls":[{"id":"\u003cstring>","type":"function","function":{"name":"\u003cstring>","arguments":"\u003cstring>"}}]},"finish_reason":"stop"}],"usage":{"prompt_tokens":123,"completion_tokens":123,"total_tokens":123},"created":123,"model":"\u003cstring>","object":"chat.completion"}}},"exampleType":"generated"},"text/event-stream":{"schema":{"type":"object","properties":{"id":{"type":"string","uniqueKey":"id","typeLabel":"string"},"choices":{"type":"array","items":{"type":"object","properties":{"message":{"type":"object","properties":{"role":{"type":"string","example":"assistant","uniqueKey":"choices.items.[INDEX].message.role","typeLabel":"string"},"content":{"type":"string","uniqueKey":"choices.items.[INDEX].message.content","typeLabel":"string"},"reasoning_content":{"description":"Only the DeepSeek-R1 series models support reasoning_content. This part returns the reasoning content, which is at the same level as the content. In each round of the conversation, the model outputs the reasoning chain content (reasoning_content) and the final answer (content). In the next round of the conversation, the reasoning chain content from previous rounds will not be appended to the context.","type":"string","uniqueKey":"choices.items.[INDEX].message.reasoning_content","typeLabel":"string"},"tool_calls":{"type":"array","description":"The tool calls generated by the model, such as function calls.","items":{"type":"object","properties":{"id":{"type":"string","description":"The ID of the tool call.","isRequired":true,"uniqueKey":"choices.items.[INDEX].message.tool_calls.items.[INDEX].id","typeLabel":"string"},"type":{"type":"string","enum":["function"],"description":"The type of the tool. Currently, only `function` is supported.","isRequired":true,"uniqueKey":"choices.items.[INDEX].message.tool_calls.items.[INDEX].type","typeLabel":"enum\u003cstring>"},"function":{"type":"object","description":"The function that the model called.","properties":{"name":{"type":"string","description":"The name of the function to call.","isRequired":true,"uniqueKey":"choices.items.[INDEX].message.tool_calls.items.[INDEX].function.name","typeLabel":"string"},"arguments":{"type":"string","description":"The arguments to call the function with, as generated by the model in JSON format. Note that the model does not always generate valid JSON, and may hallucinate parameters not defined by your function schema. Validate the arguments in your code before calling your function.","isRequired":true,"uniqueKey":"choices.items.[INDEX].message.tool_calls.items.[INDEX].function.arguments","typeLabel":"string"}},"required":["name","arguments"],"isRequired":true,"uniqueKey":"choices.items.[INDEX].message.tool_calls.items.[INDEX].function","typeLabel":"object"}},"required":["id","type","function"],"uniqueKey":"choices.items.[INDEX].message.tool_calls.items.[INDEX]","typeLabel":"object"},"uniqueKey":"choices.items.[INDEX].message.tool_calls","typeLabel":"object[]"}},"uniqueKey":"choices.items.[INDEX].message","typeLabel":"object"},"finish_reason":{"type":"string","enum":["stop","eos","length","tool_calls"],"uniqueKey":"choices.items.[INDEX].finish_reason","typeLabel":"enum\u003cstring>"}},"uniqueKey":"choices.items.[INDEX]","typeLabel":"object"},"uniqueKey":"choices","typeLabel":"object[]"},"created":{"type":"integer","uniqueKey":"created","typeLabel":"integer"},"model":{"type":"string","uniqueKey":"model","typeLabel":"string"},"object":{"type":"string","enum":["chat.completion.chunk"],"uniqueKey":"object","typeLabel":"enum\u003cstring>"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"id":"\u003cstring>","choices":[{"message":{"role":"assistant","content":"\u003cstring>","reasoning_content":"\u003cstring>","tool_calls":[{"id":"\u003cstring>","type":"function","function":{"name":"\u003cstring>","arguments":"\u003cstring>"}}]},"finish_reason":"stop"}],"created":123,"model":"\u003cstring>","object":"chat.completion.chunk"}}},"exampleType":"generated"}},"exampleType":"generated"},"0a2ce478-f07a-4c91-bc80-0a7580d75c2c":{"description":"BadRequest","content":{"application/json":{"schema":{"type":"object","required":["message","data","code"],"properties":{"code":{"oneOf":[{"type":"integer","default":false,"example":20012,"isRequired":true,"uniqueKey":"code.oneOf.0","typeLabel":"integer"},{"type":"null","default":false,"example":20012,"isRequired":true,"uniqueKey":"code.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"code","typeLabel":"integer | null"},"message":{"type":"string","nullable":false,"isRequired":true,"uniqueKey":"message","typeLabel":"string"},"data":{"type":"string","nullable":false,"isRequired":true,"uniqueKey":"data","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"code":20012,"message":"\u003cstring>","data":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"},"8a1cdb40-226f-43f4-ba13-73b1f95ee061":{"description":"Unauthorized","content":{"application/json":{"schema":{"type":"string","default":false,"example":"Invalid token","uniqueKey":"","typeLabel":"string"},"examples":{"Example":{"title":"Example","value":"Invalid token"}},"exampleType":"generated"}},"exampleType":"generated"},"730e57ec-3ef4-47f7-b416-9d0626fbc928":{"description":"NotFound","content":{"application/json":{"schema":{"type":"string","default":false,"example":"404 page not found","uniqueKey":"","typeLabel":"string"},"examples":{"Example":{"title":"Example","value":"404 page not found"}},"exampleType":"generated"}},"exampleType":"generated"},"f4038552-2a5b-4382-a917-4e5e6800dc80":{"description":"RateLimit","content":{"application/json":{"schema":{"type":"object","required":["message","data"],"properties":{"message":{"type":"string","example":"Request was rejected due to rate limiting. If you want more, please contact contact@siliconflow.com. Details:TPM limit reached.","isRequired":true,"uniqueKey":"message","typeLabel":"string"},"data":{"type":"string","isRequired":true,"uniqueKey":"data","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"message":"Request was rejected due to rate limiting. If you want more, please contact contact@siliconflow.com. Details:TPM limit reached.","data":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"},"05d49e21-306c-4737-a744-da75077ce874":{"description":"Overloaded","content":{"application/json":{"schema":{"type":"object","required":["code","message","data"],"properties":{"code":{"type":"integer","example":50505,"isRequired":true,"uniqueKey":"code","typeLabel":"integer"},"message":{"type":"string","example":"Model service overloaded. Please try again later.","isRequired":true,"uniqueKey":"message","typeLabel":"string"},"data":{"type":"string","nullable":false,"isRequired":true,"uniqueKey":"data","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"code":50505,"message":"Model service overloaded. Please try again later.","data":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"},"ec5b17f0-bc6f-4b31-8b95-6b4eaf2e9451":{"description":"Timeout","content":{"application/json":{"schema":{"type":"string","uniqueKey":"","typeLabel":"string"},"examples":{"Example":{"title":"Example","value":"\u003cstring>"}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"aadb8765-c07c-47b3-8681-a15196653ef8":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"your api key","description":"Use the following format for authentication: Bearer [\u003cyour api key>](https://cloud.siliconflow.com/account/ak)","scopes":[]}}},"servers":{"37d826e0-7779-430a-b4b6-49cef5d5c3b9":{"url":"https://api.siliconflow.com/v1"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"bearer","bearerFormat":"your api key","description":"Use the following format for authentication: Bearer [\u003cyour api key>](https://cloud.siliconflow.com/account/ak)","scopes":[]},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Use the following format for authentication: Bearer [\u003cyour api key>](https://cloud.siliconflow.com/account/ak)","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"bearerAuth","name":"Authorization"}],"title":"bearerAuth"}]},"originalFileLocation":"cn/api-reference/openapi.yaml"},"subdomain":"siliconflowcom","siteName":"SiliconFlow","title":"Chat completions - SiliconFlow","navMaps":{"firstHrefInVersion":{"English":{"href":"/en/api-reference/chat-completions/chat-completions","matchLevel":0},"简体中文":{"href":"/cn/api-reference/chat-completions/chat-completions","matchLevel":1}},"firstHrefInLanguage":{}},"lastModified":"2025-08-13T07:30:20.705Z","originalFileLocation":"en/api-reference/chat-completions/chat-completions.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"dark\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Creates a model response for the given chat conversation.\">\u003cmeta data-mint-head name=\"keywords\" content=\"AI API documentation, LLM API guide, developer documentation, API integration guide, model API reference, AI development resources\">\u003cmeta data-mint-head name=\"application-name\" content=\"SiliconFlow\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/siliconflowcom/lsh-9tnLrL1cRHYi/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/siliconflowcom/lsh-9tnLrL1cRHYi/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/siliconflowcom/lsh-9tnLrL1cRHYi/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/siliconflowcom/lsh-9tnLrL1cRHYi/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/siliconflowcom/lsh-9tnLrL1cRHYi/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/siliconflowcom/lsh-9tnLrL1cRHYi/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/siliconflowcom/lsh-9tnLrL1cRHYi/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/siliconflowcom/lsh-9tnLrL1cRHYi/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/siliconflowcom/lsh-9tnLrL1cRHYi/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Chat completions - SiliconFlow\">\u003cmeta data-mint-head property=\"og:description\" content=\"Creates a model response for the given chat conversation.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"SiliconFlow\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.siliconflow.com/en/api-reference/chat-completions/chat-completions\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://siliconflowcom.mintlify.app/_mintlify/api/og/v2?division=Chat\u0026amp;title=Chat+completions\u0026amp;description=Creates+a+model+response+for+the+given+chat+conversation.\u0026amp;theme=7b3f1d7c7d8f8cae1d1ce100\u0026amp;signature=6b115d317d20f5806d26856b32181b089aa0408f9abe6f3ce967c50d74f0e43e\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Chat completions - SiliconFlow\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Creates a model response for the given chat conversation.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://siliconflowcom.mintlify.app/_mintlify/api/og/v2?division=Chat\u0026amp;title=Chat+completions\u0026amp;description=Creates+a+model+response+for+the+given+chat+conversation.\u0026amp;theme=7b3f1d7c7d8f8cae1d1ce100\u0026amp;signature=6b115d317d20f5806d26856b32181b089aa0408f9abe6f3ce967c50d74f0e43e\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/siliconflowcom/lsh-9tnLrL1cRHYi/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"SiliconFlow\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#6E29F6\">\u003cmeta data-mint-head name=\"color-scheme\" content=\"light dark\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.siliconflow.com/en/api-reference/chat-completions/chat-completions\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/en/api-reference/chat-completions/chat-completions.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.siliconflow.com/#organization\",\"name\":\"SiliconFlow\",\"url\":\"https://docs.siliconflow.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/siliconflowcom/6M3wUsNWJWlb0b6O/logo/siliconflow.png?fit=max\u0026auto=format\u0026n=6M3wUsNWJWlb0b6O\u0026q=85\u0026s=d452a60af724c3dac4e198ce51c2fb39\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.siliconflow.com#website\",\"name\":\"SiliconFlow\",\"url\":\"https://docs.siliconflow.com\",\"publisher\":{\"@id\":\"https://docs.siliconflow.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.siliconflow.com/en/api-reference/chat-completions/chat-completions#webpage\",\"url\":\"https://docs.siliconflow.com/en/api-reference/chat-completions/chat-completions\",\"name\":\"Chat completions\",\"description\":\"Creates a model response for the given chat conversation.\",\"dateModified\":\"2025-08-13T07:30:20.705Z\",\"isPartOf\":{\"@id\":\"https://docs.siliconflow.com#website\"},\"breadcrumb\":{\"@id\":\"https://docs.siliconflow.com/en/api-reference/chat-completions/chat-completions#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.siliconflow.com/en/api-reference/chat-completions/chat-completions#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"SiliconFlow\",\"item\":\"https://docs.siliconflow.com\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Chat completions\",\"item\":\"https://docs.siliconflow.com/en/api-reference/chat-completions/chat-completions\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.siliconflow.com/en/api-reference/chat-completions/chat-completions#apireference\",\"headline\":\"Chat completions\",\"name\":\"Chat completions\",\"description\":\"Creates a model response for the given chat conversation.\",\"url\":\"https://docs.siliconflow.com/en/api-reference/chat-completions/chat-completions\",\"mainEntityOfPage\":{\"@id\":\"https://docs.siliconflow.com/en/api-reference/chat-completions/chat-completions#webpage\"},\"dateModified\":\"2025-08-13T07:30:20.705Z\",\"publisher\":{\"@id\":\"https://docs.siliconflow.com/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.siliconflow.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"SiliconFlow\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"SiliconFlow","nav":{"global":null,"versions":[{"version":"English","tabs":[{"tab":"User Guides","pages":[{"title":"User Guides","href":"/en/userguide/introduction"}]},{"tab":"Scenario Example","pages":[{"title":"Scenario Example","href":"/en/usercases/use-siliconcloud-in-ClaudeCode"}]},{"tab":"API Reference","groups":[{"group":"Chat","pages":[{"title":"Chat completions","openapi":"post /chat/completions","href":"/en/api-reference/chat-completions/chat-completions"},{"title":"messages","openapi":"post /messages","description":"Creates a model response for the given chat conversation.","href":"/en/api-reference/chat-completions/messages"},{"title":"Create System One (TypeSafe)","openapi":"post /systemone","href":"/en/api-reference/systemone/create-systemone"},{"title":"Create embeddings","openapi":"post /embeddings","href":"/en/api-reference/embeddings/create-embeddings"},{"title":"Create rerank","openapi":"post /rerank","href":"/en/api-reference/rerank/create-rerank"}]},{"group":"Completions","pages":[{"title":"Create Completion","openapi":"post /completions","href":"/en/api-reference/completion/create-completion"}]},{"group":"Image","pages":[{"title":"Create image","openapi":"post /images/generations","href":"/en/api-reference/images/images-generations"}]},{"group":"Audio","pages":[{"title":"Upload reference audio","openapi":"post /uploads/audio/voice","href":"/en/api-reference/audio/upload-voice"},{"title":"Create speech","openapi":"post /audio/speech","href":"/en/api-reference/audio/create-speech"},{"title":"Retrieve reference audio list","openapi":"get /audio/voice/list","href":"/en/api-reference/audio/voice-list"},{"title":"Delete reference audio","openapi":"post /audio/voice/deletions","href":"/en/api-reference/audio/delete-voice"},{"title":"Create transcription","openapi":"post /audio/transcriptions","href":"/en/api-reference/audio/create-audio-transcriptions"}]},{"group":"Video","pages":[{"title":"Create video","openapi":"post /video/submit","href":"/en/api-reference/videos/videos_submit"},{"title":"Retrieve video","openapi":"post /video/status","href":"/en/api-reference/videos/get_videos_status"}]},{"group":"Platform","pages":[{"title":"List models","openapi":"get /models","href":"/en/api-reference/models/get-model-list"},{"title":"Retrieve user info","openapi":"get /user/info","href":"/en/api-reference/userinfo/get-user-info"}]}]},{"tab":"Assistants","pages":[{"title":"Assistants","href":"/en/faqs/stream-mode"}]},{"tab":"Release Notes","pages":[{"title":"Release Notes","href":"/en/release-notes/overview"}]},{"tab":"Terms and Conditions","pages":[{"title":"Terms and Conditions","href":"/en/legals/terms-of-service"}]}]},{"version":"简体中文","pages":[{"title":"简体中文","href":"/cn/api-reference/chat-completions/chat-completions"}]}]},"title":"Chat completions - SiliconFlow","buildId":"dpl_849ArpqvBiCczQiT1Y1stNGpbqHT","deploymentId":"dpl_849ArpqvBiCczQiT1Y1stNGpbqHT","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-Bbp7I60D.js","utils-C3RIvJha.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-DqD-vLt8.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-B31Loprg.js","snippetPresets-DKpk-b8t.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-Cj65AhOR.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-BXtn5gcC.js","shallow-RY2b03Cp.js","getApiPlaygroundDisplay-B0jeiPk3.js","CodeSnippet-CYgBjjwn.js","CodeSnippets-DOngDrYB.js","Page-n7I5XbKb.js","getPastedJson-DRQbJx-T.js","icon-CQiQCicY.js","MethodPill-BKTLdNtu.js","DuplicateIcon-B9jpAdat.js","createIcon-DCddRrXv.js","DynamicMarkdown-a8hUKrw6.js","SectionHeading-eECVV2eH.js","axios-vUo_bRtp.js","Markdown--GF7ZIpf.js","clsx-DZLdJUrt.js","lib--scc4DXi.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-2LoAhjKH.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-Zwc0ZncM.js"]}